
TIPS = {
   "Spectators can press WALK (Alt) to cycle through muting other spectators or living players.",

   "Traitors can search a corpse silently, without confirming the death, by holding WALK and pressing USE on the corpse.",

   "Arming a C4 explosive with a longer timer will increase the time penalty for getting the disarm code wrong, making it harder to disarm if an innocent finds it with not much left on the timer.",

   "Detectives can search a corpse to find who is 'reflected in its eyes'. This is the last person the dead guy saw. That does not have to be the killer if he was shot in the back.",

   "No one will know you have died until they find your dead body and identify you by searching it.",

   "When a Traitor kills a Detective, he instantly receives a credit reward.",

   "When a Traitor dies, all Detectives are rewarded equipment credits.",

   "When the Traitors have made significant progress in killing innocents, they will receive an equipment credit as reward.",

   "Traitors and Detectives can collect unspent equipment credits from the dead bodies of other Traitors and Detectives.",

   "The Poltergeist can turn any physics object into a deadly projective. Each punch is accompanied by a blast of energy hurting anyone nearby.",

   "As Traitor or Detective, keep an eye on red messages in the top right. These will be important for you.",

   "As Traitor or Detective, keep in mind you are rewarded extra equipment credits if you and your comrades perform well. Make sure you remember to spend them!",

   "The Detectives' DNA Scanner can be used to gather DNA samples from weapons and items and then scan to find the location of the player who used them. Useful when you can get a sample from a knife in a corpse or from a disarmed C4!",

   "When you are close to someone you kill, some of your DNA is left on the corpse. This DNA can be used with a Detective's DNA Scanner to find your current location. Better hide the body after you knife someone!",

   "The Traitor's Knife can be a guaranteed silent kill, but leaves evidence on the body and can only be used once. The Silenced Pistol doesn't have those downsides.",

   "Are you Traitor and going sniping? Consider trying out the Disguiser. If you miss a shot, run away to a safe spot, disable the Disguiser, and no one will know it was you who was shooting at them.",

   "As Traitor, the Teleporter can help you escape when chased, and allows you to quickly travel across a big map. Make sure you always have a safe position marked.",

   "Are the innocents all grouped up and hard to pick off? Consider trying out the Radio to play sounds of C4 or a firefight to lead some of them away.",

   "Using the Radio as Traitor, you can play sounds through your Equipment Menu after the radio has been placed. Queue up multiple sounds by clicking multiple buttons in the order you want them.",

   "As Detective, if you have leftover credits you could give a trusted Innocent a Defuser. Then you can spend your time doing the serious investigative work and leave the risky bomb defusal to them.",

   "The Detectives' Binoculars allow long-range searching and identifying of corpses. Bad news if the Traitors were hoping to use a corpse as bait. Of course, while using the Binoculars a Detective is unarmed and distracted...",

   "As Detective, need to group up the others or show them a location? The Beacon shows its position and distance on everyone's HUD.",

   "The Detectives' Health Station lets wounded players recover. Of course, those wounded people could be Traitors...",

   "The Health Station records a DNA sample of everyone who uses it. Detectives can use this with the DNA Scanner to find out who has been healing up.",

   "Unlike weapons and C4, the Radar equipment for Traitors does not contain a DNA sample of the person who planted it. Don't worry about Detectives finding it and blowing your cover.",

   "Press F1 to view a short tutorial, read the full help, or modify some TTT-specific settings. For example, you can permanently disable these tips there.",

   "When a Detective searches a body, the result is available to all players via the scoreboard by clicking on the name of the dead person.",

   "In the scoreboard, a magnifying glass icon next to someone's name indicates you have search information about that person. If the icon is bright, the data comes from a Detective and may contain additional information.",

   "As Detective, corpses with a magnifying glass after the nickname have been searched by a Detective and their results are available to all players via the scoreboard.",

   "Quickchat or 'radio' commands are available if you bind a key to 'Suit Zoom' in your GMod settings. Useful if you don't have a microphone!",

   "As Spectator, press the DUCK key (Ctrl) to unlock your mouse cursor and click the buttons on this tips panel. Press DUCK again to go back to mouseview.",

   "The Crowbar's secondary fire will push other players.",

   "Firing through the ironsights of a weapon will slightly increase your accuracy and decrease recoil. Crouching does not.",

   "Smoke grenades are effective indoors, especially for creating confusion in crowded rooms.",

   "As Traitor, remember you can carry dead bodies and hide them from the prying eyes of the innocent and their Detectives.",

   "The tutorial available under F1 contains an overview of the most important keys of the game.",

   "On the scoreboard, click the name of a living player and you can select a tag for them such as 'suspect' or 'friend'. This tag will show up if you have them under your crosshair.",

   "Many of the placeable equipment items (such as C4, Radio, Beacon) can be stuck on walls using secondary fire.",

   "If it says 'HASTE MODE' above the round timer, round times work differently. Initially the round will only be a few minutes long, but with every death the available time increases (like capturing a point in TF2). This mode puts the pressure on the traitors to keep things moving."
};

table.Shuffle(TIPS)
