-- bomb menus

include("shared.lua")

local starttime = 60

local beep = Sound("weapons/c4/c4_click.wav")

local disarm_success = Sound("buttons/blip2.wav")
local disarm_fail = Sound("buttons/button11.wav")

-- Initial bomb arming
function ShowC4Config(bomb)
   local dframe = vgui.Create("DFrame")
   local w, h = 300, 320
   dframe:SetSize(w, h)
   dframe:Center()
   dframe:SetTitle("Arm Bomb")
   dframe:SetVisible(true)
   dframe:ShowCloseButton(true)
   dframe:SetMouseInputEnabled(true)

   local m = 5

   local bg = vgui.Create("DColouredBox", dframe)
   bg:SetColor(Color(50, 50, 50, 255))
   bg:SetPos(0,0)
   bg:StretchToParent(m,m*5,m,m)

   -- Time
   local dformtime = vgui.Create("DForm", bg)
   dformtime:SetPos(m, 0)
   dformtime:SetSize(w - m*4, h / 2)
   dformtime:SetName("Timer")

   local dclock = vgui.Create("DLabel", dformtime)
--   dclock:SetFont("Trebuchet24")
   dclock:SetFont("TimeLeft")
   dclock:SetText(string.FormattedTime(starttime, "%02i:%02i"))
   dclock:SizeToContents()
   dclock:SetPos(m*2, m*2)
   dclock:CenterHorizontal()

   dformtime:AddItem(dclock)

   local ch, cw = dclock:GetSize()

   local dtime = vgui.Create("DNumSlider", dformtime)
--   dtime:SetPos(m*3, m*2 + ch)
   dtime:SetWide(w - m*4)
   dtime:SetText("Seconds until detonation")
   dtime:SetMin(MINIMUM_TIME)
   dtime:SetMax(600)
   dtime:SetDecimals(0)
   dtime:SetValue(starttime)

   dtime.OnValueChanged = function(self, val)
                             dclock:SetText(string.FormattedTime(val, "%02i:%02i"))
                          end

   dformtime:AddItem(dtime)

   dformtime:PerformLayout()

   local sw, sh = dformtime:GetSize()

   -- Code
   local dformcode = vgui.Create("DForm", bg)
   dformcode:SetPos(m, m + sh)
   dformcode:SetSize(w - m*4, h / 2)
   dformcode:SetName("Encryption")

   local dcode = vgui.Create("DLabel", dformcode)
   dcode:SetText(string.rep("*", CODELENGTH))
   dcode:SetFont("TraitorState")

   local dpad = vgui.Create("DNumPad", dformcode)
--   dpad:SetPos()
   dpad:SetButtonSize(20)
   dpad:SetPadding(1)
   dpad:PerformLayout()
   dpad:CenterHorizontal()
   
   dpad:SetStickyKeys(false)

   local dconf = nil -- assigned later
   dpad.OnButtonPressed = function(self, num, but)
                             -- add number to code
                             local code = string.TrimRight(dcode:GetValue(), "*")
                             if num < 10 then
                                if string.len(code) < CODELENGTH then
                                   code = code .. num
                                end
                             else
                                code = ""
                             end

                             local newlen = string.len(code)
                             if newlen < CODELENGTH then
                                code = code .. string.rep("*", CODELENGTH - newlen)
                                dconf:SetDisabled(true)
                             else
                                dconf:SetDisabled(false)
                             end

                             LocalPlayer():EmitSound(beep)

                             dcode:SetText(code)
                          end



   dformcode:AddItem(dpad, dcode)

   dformcode:PerformLayout()
   dformcode:SizeToContents()

   local cw, ch = dformcode:GetSize()

   -- Buttons
   local bw, bh = 75, 25
   dconf = vgui.Create("DButton", bg)
   dconf:SetPos(m*2, m + 250)
   dconf:SetSize(bw, bh)
   dconf:SetText("Arm")
   dconf:SetDisabled(true)
   dconf.DoClick = function()
                      if not LocalPlayer() or not LocalPlayer():Alive() then return end

                      local c = dcode:GetValue()
                      c = string.gsub(c, "[^%d]", "")
                      local t = dtime:GetValue()
                      if t and tonumber(t) and c and tostring(c) and string.len(c) == CODELENGTH then

                         RunConsoleCommand("ttt_c4_config", bomb:EntIndex(), t, c)
                         dframe:Close()
                      end
                   end   

   local dcancel = vgui.Create("DButton", bg)
   dcancel:SetPos( w - m*4 - bw, m + 250)
   dcancel:SetSize(bw, bh)
   dcancel:SetText("Cancel")
   dcancel.DoClick = function() dframe:Close() end

   local dgrab = vgui.Create("DButton", bg)
   dgrab:SetPos(m*2 + bw + 22, m + 250)
   dgrab:SetSize(bw, bh)
   dgrab:SetText("Pick Up")
   dgrab:SetDisabled(false)
   dgrab.DoClick = function()
                      if not LocalPlayer() or not LocalPlayer():Alive() then return end
                      
                      RunConsoleCommand("ttt_c4_pickup", bomb:EntIndex())
                      dframe:Close()
                   end


   dframe:MakePopup()
--   dframe:DoModal()
end



local code_success = nil
local code_fail = nil

function ShowC4Disarm(bomb)
   local dframe = vgui.Create("DFrame")
   local w, h = 300, 220
   dframe:SetSize(w, h)
   dframe:Center()
   dframe:SetTitle("Disarm Bomb")
   dframe:SetVisible(true)
   dframe:ShowCloseButton(false)
   dframe:SetMouseInputEnabled(true)

   local m = 5

   local bg = vgui.Create("DColouredBox", dframe)
   bg:SetColor(Color(50, 50, 50, 255))
   bg:SetPos(0,0)
   bg:StretchToParent(m,m*5,m,m)

   -- Code
   local dformcode = vgui.Create("DForm", bg)
   dformcode:SetPos(m, m)
   dformcode:SetSize(w - m*4, h / 2)
   dformcode:SetName("Decryption")

   local rightside = vgui.Create("DPanel", dformcode)
   rightside:SetPaintBackground(false)
   

   local codebg = vgui.Create("DColouredBox", rightside)
   codebg:SetColor(Color(100, 40, 40, 255))

   local dcode = vgui.Create("DLabel", codebg)
   dcode:SetText(string.rep("*", CODELENGTH))
   dcode:SetFont("TraitorState")
   dcode:SizeToContents()

   local dcw, dch = dcode:GetSize()
   codebg:SetSize(dcw + 5, dch + 5)

   dcode:Center()

   local darmed = vgui.Create("DLabel", rightside)
   darmed:SetText("ARMED")
   darmed:SetFont("HealthAmmo")
   darmed:SizeToContents()
   darmed:SetWide(120)
   darmed:SetPos(m + 40, 50)
   darmed:SetContentAlignment(6)

   local dtimer = vgui.Create("DLabel", rightside)
   dtimer:SetText("??:??")
   dtimer:SetFont("HealthAmmo")
   dtimer:SizeToContents()
   dtimer:SetWide(120)
   dtimer:SetPos(m + 40, 80)
   dtimer:SetContentAlignment(6)

   dtimer.Bomb = bomb

   dtimer.Think = function(s)
                     if not ValidEntity(bomb) then return end
                     local t = bomb:GetExplodeTime()
                     if t then
                        local r = t - CurTime()
                        if r > 0 then
                           s:SetText(string.FormattedTime(r, "%02i:%02i:%02i"))
                        end
                     end
                  end


   local dcorrect = {}
   
   local corx, cory = 3, dch + 10
   for i=1,CODELENGTH do
      dcorrect[i] = vgui.Create("DLabel", rightside)
      dcorrect[i]:SetPos(corx, cory)
      dcorrect[i]:SetText("9")
      dcorrect[i]:SetFont("TraitorState")
      dcorrect[i]:SizeToContents()

      corx = corx + dcorrect[i]:GetWide()

      dcorrect[i]:SetText(" ")
   end
   

   local testing_code = false
   local dpad = nil

   local bw, bh = 100, 25
   dconf = vgui.Create("DButton", rightside)
   dconf:SetPos(m*3 + dcw, m-1)
   dconf:SetSize(bw, bh)
   dconf:SetText("Attempt Disarm")
   dconf.DoClick = function()
                      if not LocalPlayer():Alive() then
                         dpad:SetDisabled(true)
                         dconf:SetDisabled(true)
                      end

                      local c = dcode:GetValue()
                      c = string.gsub(c, "[^%d]", "")
                      if c and tostring(c) and string.len(c) == CODELENGTH then
                         -- indicate neutral checking state
                         codebg:SetColor(Color(50, 50, 50, 255))
                         dconf:SetDisabled(true)

                         darmed:SetText("TESTING")
                         testing_code = true

                         RunConsoleCommand("ttt_c4_disarm", bomb:EntIndex(), c)
                      end
                   end

   rightside:SetSize(170, 100)

   dpad = vgui.Create("DNumPad", dformcode)
--   dpad:SetPos()
   dpad:SetButtonSize(20)
   dpad:SetPadding(1)
   dpad:PerformLayout()
   dpad:CenterHorizontal()
   
   dpad:SetStickyKeys(false)

   dpad.OnButtonPressed = function(self, num, but)
                             if testing_code then return end

                             if not LocalPlayer():Alive() then
                                dpad:SetDisabled(true)
                                dconf:SetDisabled(true)
                             end

                             -- add number to code
                             local code = string.TrimRight(dcode:GetValue(), "*")
                             if num < 10 then
                                if string.len(code) < CODELENGTH then
                                   code = code .. num
                                end
                             else
                                code = ""
                             end

                             local newlen = string.len(code)
                             if newlen < CODELENGTH then
                                code = code .. string.rep("*", CODELENGTH - newlen)
                                dconf:SetDisabled(true)
                             else
                                dconf:SetDisabled(false)
                             end

                             LocalPlayer():EmitSound(beep)

                             dcode:SetText(code)
                          end



   dformcode:AddItem(dpad, rightside)

   dformcode:PerformLayout()
   dformcode:SizeToContents()

   local cw, ch = dformcode:GetSize()

   -- Buttons

   local dgrab = vgui.Create("DButton", bg)
   dgrab:SetPos(m*2, m + 150)
   dgrab:SetSize(bw, bh)
   dgrab:SetText("Pick Up")
   dgrab:SetDisabled(true)
   dgrab.DoClick = function()
                      if not LocalPlayer() or not LocalPlayer():Alive() then return end
                      
                      RunConsoleCommand("ttt_c4_pickup", bomb:EntIndex())
                      dframe:Close()
                   end

   local dcancel = vgui.Create("DButton", bg)
   dcancel:SetPos( w - m*4 - bw, m + 150)
   dcancel:SetSize(bw, bh)
   dcancel:SetText("Close")
   dcancel.DoClick = function() 
                        code_success = nil
                        code_fail = nil
                        dframe:Close() 
                     end
--   dcancel:CenterHorizontal()


   -- Prep the function that will be called on succesful code test
   code_success = function()
                     dconf:SetDisabled(true)
                     dpad:SetDisabled(true)
                     darmed:SetText("DISARMED")

                     dgrab:SetDisabled(false)

                     dtimer:SetText("")
                     dtimer.Bomb = nil

                     for i=1,CODELENGTH do
                        if dcorrect[i] then
                           dcorrect[i]:SetText("")
                        end
                     end

                     codebg:SetColor(Color(40, 100, 40, 255))
                     LocalPlayer():EmitSound(disarm_success)
                  end

   code_fail = function(results)
                  testing_code = false
                  dconf:SetDisabled(true)
                  dpad:SetDisabled(false)
                  dgrab:SetDisabled(true)

                  local cur = string.ToTable(dcode:GetValue())

                  for i=1,CODELENGTH do
                     if results[i] and dcorrect[i] then
                        dcorrect[i]:SetText(cur[i])
                     end
                  end

                  dcode:SetText(string.rep("*", CODELENGTH))

                  darmed:SetText("ARMED")
                  codebg:SetColor(Color(100, 40, 40, 255))
                  LocalPlayer():EmitSound(disarm_fail)
               end

   dframe:MakePopup()
end

local function C4ConfigHook(um)
   local idx = um:ReadShort()
   
   local bomb = ents.GetByIndex(idx)
   if ValidEntity(bomb) then
      if not bomb:GetArmed() then
         ShowC4Config(bomb)
      else
         ShowC4Disarm(bomb)
      end
   end
end
usermessage.Hook("c4_config", C4ConfigHook)

local function C4DisarmResultHook(um)
   local idx = um:ReadShort()
   local result = {}

   local correct = true
   for i=1,CODELENGTH do
      result[i] = um:ReadBool()

      correct = correct and result[i]
   end

   local bomb = ents.GetByIndex(idx)
   if ValidEntity(bomb) then
      if correct and code_success then
         code_success()
      elseif code_fail then
         code_fail(result)
      end
   end   
end
usermessage.Hook("c4_disarm_result", C4DisarmResultHook)

--local function C4DisarmTimerPaint()
--   if disarm_timer and ValidEntity(disarm_timer.Bomb) then
--      local t = disarm_timer.Bomb:GetExplodeTime()
--      if t then
--         local r = t - CurTime()
--         if r > 0 then
--            disarm_timer:SetText(string.FormattedTime(r, "%02i:%02i"))
--         end
--      end
--   end
--end
--hook.Add("HUDPaint", "TTTC4DisarmTimer", C4DisarmTimerPaint)