
if SERVER then
   AddCSLuaFile( "shared.lua" )
end

SWEP.HoldType			= "pistol"

if CLIENT then
   SWEP.PrintName			= "Silenced Pistol"
   SWEP.Author				= "TTT"
   SWEP.Slot				= 6
   SWEP.SlotPos			= 0

   SWEP.EquipMenuData = {
      type="Weapon",
      model="models/weapons/w_pist_usp.mdl",
      desc="Low-noise handgun, uses normal pistol\nammo.\n\nVictims will not scream when killed."
   };

   SWEP.Icon = "VGUI/ttt/icon_silenced"
end

SWEP.Base = "weapon_tttbase"
SWEP.Primary.Recoil	= 1.7
SWEP.Primary.Damage = 22
SWEP.Primary.Delay = 0.32
SWEP.Primary.Cone = 0.014
SWEP.Primary.ClipSize = 16
SWEP.Primary.Automatic = true
SWEP.Primary.DefaultClip = 16
SWEP.Primary.ClipMax = 80
SWEP.Primary.Ammo = "Pistol"

SWEP.Kind = WEAPON_EQUIP
SWEP.CanBuy = {ROLE_TRAITOR} -- only traitors can buy
SWEP.WeaponID = AMMO_SIPISTOL

SWEP.IsSilent = true

SWEP.ViewModel			= "models/weapons/v_pist_usp.mdl"
SWEP.WorldModel			= "models/weapons/w_pist_usp.mdl"

SWEP.Primary.Sound = Sound( "Weapon_USP.SilencedShot" )
SWEP.IronSightsPos = Vector( 4.48, -4.34, 2.75)
SWEP.IronSightsAng = Vector(-0.5, 0, 0)

SWEP.PrimaryAnim = ACT_VM_PRIMARYATTACK_SILENCED
SWEP.ReloadAnim = ACT_VM_RELOAD_SILENCED

function SWEP:Deploy()
   self.Weapon:SendWeaponAnim(ACT_VM_DRAW_SILENCED)
   return true
end

-- We were bought as special equipment, and we have an extra to give
function SWEP:WasBought(buyer)
   if IsValid(buyer) then -- probably already self.Owner
      buyer:GiveAmmo( 16, "Pistol" )
   end
end

