if SERVER then
   AddCSLuaFile( "shared.lua" )
end

SWEP.HoldType			= "normal"

if CLIENT then
   SWEP.PrintName			= "Holstered"
   SWEP.Instructions		= "I got nothin', see?"
   SWEP.Slot				= 5
   SWEP.SlotPos			= 0

   SWEP.ViewModelFOV = 10
end

SWEP.Base				= "weapon_tttbase"
SWEP.ViewModel			= "models/weapons/v_crowbar.mdl"
SWEP.WorldModel			= "models/weapons/w_crowbar.mdl"

SWEP.Primary.ClipSize		= -1
SWEP.Primary.DefaultClip	= -1
SWEP.Primary.Automatic		= false
SWEP.Primary.Ammo		= "none"
SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo		= "none"

SWEP.Kind = WEAPON_UNARMED

SWEP.AllowDelete = false
SWEP.AllowDrop = false

SWEP.NoSights = true

local hidden = false

function SWEP:GetClass()
   return "weapon_ttt_unarmed"
end

function SWEP:OnDrop()
   self:Remove()
end

function SWEP:ShouldDropOnDie()
   return false
end

function SWEP:PrimaryAttack()
end

function SWEP:SecondaryAttack()
end

function SWEP:Reload()
end

function SWEP:Draw()
end

function SWEP:Deploy()
   hidden = false
   return true
end

--function SWEP:Holster()
--   if ValidEntity(self.Owner) then
--      self.Owner:DrawViewModel(true)
--   end
--end
--
--function SWEP:OnRemove()
--   if ValidEntity(self.Owner) then
--      self.Owner:DrawViewModel(true)
--   end
--end

function SWEP:DrawWorldModel()
end

function SWEP:DrawWorldModelTranslucent()
end

-- not able to do DrawModel stuff in Deploy, so here's a hack
function SWEP:Think()
   if SERVER and not hidden and ValidEntity(self.Owner) and self.Owner:GetActiveWeapon() == self.Weapon then
      self.Owner:DrawViewModel(false)
      self.Owner:DrawWorldModel(false)
      hidden = true
   end
end

