-- a much requested darker scoreboard

local table = table
local surface = surface
local draw = draw
local math = math
local team = team

-- server should replace these with its values
CreateConVar("ttt_round_limit", "6", FCVAR_REPLICATED)
CreateConVar("ttt_time_limit_minutes", "75", FCVAR_REPLICATED)

local namecolor = {
   admin = Color(220, 180, 0, 255)
};

include("vgui/sb_main.lua")

sboard_panel = nil
function GM:ScoreboardCreate()
   if sboard_panel then
      sboard_panel:Remove()
      sboard_panel = nil
   end

   sboard_panel = vgui.Create("TTTScoreboard")
end

function GM:ScoreboardShow()
   self.ShowScoreboard = true

   if not sboard_panel then
      self:ScoreboardCreate()
   end

   gui.EnableScreenClicker(true)

   sboard_panel:SetVisible(true)
   sboard_panel:UpdateScoreboard(true)

   sboard_panel:StartUpdateTimer()
end

function GM:ScoreboardHide()
   self.ShowScoreboard = false

   gui.EnableScreenClicker(false)

   if sboard_panel then
      sboard_panel:SetVisible(false)
   end
end

function GM:HUDDrawScoreBoard()
   -- replaced by panel version
end



